Bug 65859 - xosview will not start
xosview will not start
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: xosview (Show other bugs)
7.3
athlon Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-06-02 23:49 EDT by baulv
Modified: 2008-05-01 11:38 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-06-03 17:29:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
root strace (13.36 KB, text/plain)
2002-06-03 00:27 EDT, baulv
no flags Details

  None (edit)
Description baulv 2002-06-02 23:49:13 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.9) Gecko/20020513

Description of problem:
xosview will not start

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.type "xosview" in console
2.wait ....
3.nothing 
	

Actual Results:  nothing 

Expected Results:  applet should have started
see enclosed "strace"


Additional info:

[Chris@w1 Chris]$ strace xosview
execve("/usr/bin/X11/xosview", ["xosview"], [/* 30 vars */]) = 0
uname({sys="Linux", node="w1.local", ...}) = 0
brk(0)                                  = 0x806206c
open("/etc/ld.so.preload", O_RDONLY)    = -1 ENOENT (No such file or directory)
open("/usr/X11R6/lib/i686/mmx/libXpm.so.4", O_RDONLY) = -1 ENOENT (No such file
or directory)
stat64("/usr/X11R6/lib/i686/mmx", 0xbfffebb0) = -1 ENOENT (No such file or
directory)
open("/usr/X11R6/lib/i686/libXpm.so.4", O_RDONLY) = -1 ENOENT (No such file or
directory)
stat64("/usr/X11R6/lib/i686", 0xbfffebb0) = -1 ENOENT (No such file or directory)
open("/usr/X11R6/lib/mmx/libXpm.so.4", O_RDONLY) = -1 ENOENT (No such file or
directory)
stat64("/usr/X11R6/lib/mmx", 0xbfffebb0) = -1 ENOENT (No such file or directory)
open("/usr/X11R6/lib/libXpm.so.4", O_RDONLY) = 3
read(3, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0\220\"\0"..., 1024) = 1024
fstat64(3, {st_mode=S_IFREG|0755, st_size=56200, ...}) = 0
old_mmap(NULL, 58640, PROT_READ|PROT_EXEC, MAP_PRIVATE, 3, 0) = 0x40014000
mprotect(0x40022000, 1296, PROT_NONE)   = 0
old_mmap(0x40022000, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED, 3,
0xd000) = 0x40022000
close(3)                                = 0
open("/usr/X11R6/lib/libX11.so.6", O_RDONLY) = 3
read(3, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0\240\20"..., 1024) = 1024
fstat64(3, {st_mode=S_IFREG|0755, st_size=874476, ...}) = 0
old_mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) =
0x40023000
old_mmap(NULL, 870968, PROT_READ|PROT_EXEC, MAP_PRIVATE, 3, 0) = 0x40024000
mprotect(0x400f6000, 10808, PROT_NONE)  = 0
old_mmap(0x400f6000, 12288, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED, 3,
0xd1000) = 0x400f6000
close(3)                                = 0
open("/usr/X11R6/lib/libstdc++-libc6.2-2.so.3", O_RDONLY) = -1 ENOENT (No such
file or directory)
open("/etc/ld.so.cache", O_RDONLY)      = 3
fstat64(3, {st_mode=S_IFREG|0644, st_size=104479, ...}) = 0
old_mmap(NULL, 104479, PROT_READ, MAP_PRIVATE, 3, 0) = 0x400f9000
close(3)                                = 0
open("/usr/lib/libstdc++-libc6.2-2.so.3", O_RDONLY) = 3
read(3, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0\320\205"..., 1024) = 1024
fstat64(3, {st_mode=S_IFREG|0555, st_size=426442, ...}) = 0
old_mmap(NULL, 273928, PROT_READ|PROT_EXEC, MAP_PRIVATE, 3, 0) = 0x40113000
mprotect(0x4014b000, 44552, PROT_NONE)  = 0
old_mmap(0x4014b000, 36864, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED, 3,
0x38000) = 0x4014b000
old_mmap(0x40154000, 7688, PROT_READ|PROT_WRITE,
MAP_PRIVATE|MAP_FIXED|MAP_ANONYMOUS, -1, 0) = 0x40154000
close(3)                                = 0
open("/usr/X11R6/lib/libm.so.6", O_RDONLY) = -1 ENOENT (No such file or directory)
open("/lib/i686/libm.so.6", O_RDONLY)   = 3
read(3, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0`7\0\000"..., 1024) = 1024
fstat64(3, {st_mode=S_IFREG|0755, st_size=173359, ...}) = 0
old_mmap(NULL, 138292, PROT_READ|PROT_EXEC, MAP_PRIVATE, 3, 0) = 0x40156000
mprotect(0x40177000, 3124, PROT_NONE)   = 0
old_mmap(0x40177000, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED, 3,
0x20000) = 0x40177000
close(3)                                = 0
open("/usr/X11R6/lib/libc.so.6", O_RDONLY) = -1 ENOENT (No such file or directory)
open("/lib/i686/libc.so.6", O_RDONLY)   = 3
read(3, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0`u\1B4\0"..., 1024) = 1024
fstat64(3, {st_mode=S_IFREG|0755, st_size=1401027, ...}) = 0
old_mmap(0x42000000, 1264928, PROT_READ|PROT_EXEC, MAP_PRIVATE, 3, 0) = 0x42000000
mprotect(0x4212c000, 36128, PROT_NONE)  = 0
old_mmap(0x4212c000, 20480, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED, 3,
0x12c000) = 0x4212c000
old_mmap(0x42131000, 15648, PROT_READ|PROT_WRITE,
MAP_PRIVATE|MAP_FIXED|MAP_ANONYMOUS, -1, 0) = 0x42131000
close(3)                                = 0
open("/usr/X11R6/lib/libdl.so.2", O_RDONLY) = -1 ENOENT (No such file or directory)
open("/usr/X11R6/lib/libdl.so.2", O_RDONLY) = -1 ENOENT (No such file or directory)
open("/lib/libdl.so.2", O_RDONLY)       = 3
read(3, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0\360\31"..., 1024) = 1024
fstat64(3, {st_mode=S_IFREG|0755, st_size=12102, ...}) = 0
old_mmap(NULL, 11640, PROT_READ|PROT_EXEC, MAP_PRIVATE, 3, 0) = 0x40178000
mprotect(0x4017a000, 3448, PROT_NONE)   = 0
old_mmap(0x4017a000, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED, 3,
0x1000) = 0x4017a000
close(3)                                = 0
old_mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) =
0x4017b000
munmap(0x400f9000, 104479)              = 0
brk(0)                                  = 0x806206c
brk(0x806209c)                          = 0x806209c
brk(0x8063000)                          = 0x8063000
brk(0x8066000)                          = 0x8066000
uname({sys="Linux", node="w1.local", ...}) = 0
socket(PF_UNIX, SOCK_STREAM, 0)         = 3
uname({sys="Linux", node="w1.local", ...}) = 0
uname({sys="Linux", node="w1.local", ...}) = 0
connect(3, {sin_family=AF_UNIX, path="/tmp/.X11-unix/X0"}, 19) = 0
uname({sys="Linux", node="w1.local", ...}) = 0
fcntl64(3, F_SETFD, FD_CLOEXEC)         = 0
access("/home/Chris/.Xauthority", R_OK) = 0
open("/home/Chris/.Xauthority", O_RDONLY) = 4
fstat64(4, {st_mode=S_IFREG|0600, st_size=156, ...}) = 0
mmap2(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) =
0x400f9000
read(4, "\1\0\0\10w1.local\0\00210\0\22MIT-MAGIC-COOK"..., 4096) = 156
close(4)                   = 0
munmap(0x400f9000, 4096)                = 0
writev(3, [{"l\0\v\0\0\0\22\0\20\0\0\0", 12}, {"MIT-MAGIC-COOKIE-1", 18},
{"\0\0", 2}, {"<iK\365\351\364\271\204\321D;\214v\23/W", 16}], 4) = 48
fcntl64(3, F_GETFL)                     = 0x2 (flags O_RDWR)
fcntl64(3, F_SETFL, O_RDWR|O_NONBLOCK)  = 0
read(3, "\1\0\v\0\0\0\364\0", 8)        = 8
read(3, "@ge\2\0\0\200\2\377\377\37\0\0\1\0\0\30\0\377\377\1\7\0"..., 976) = 976
brk(0x8067000)                          = 0x8067000
write(3, "7\0\5\0\0\0\200\2\232\0\0\0\10\0\0\0\377\377\377\0b\0\5"..., 64) = 64
read(3, "\1\0\2\0\0\0\0\0\1\203\0\0\0\0\0\0\0\0\0\0\1\0\0\0\230"..., 32) = 32
read(3, "\1\10\3\0?\16\0\0\37\0\0\0\0\0\0\0\3718\0\0\0\0\0\0\0\0"..., 32) = 32
brk(0x806b000)                          = 0x806b000
readv(3, [{"*background:\t#d4d0c8\n*foreground"..., 14585}, {"\0\0\0", 3}], 2) =
14588
write(3, "\203\0\1\0", 4)               = 4
read(3, "\1\0\4\0\0\0\0\0\377\377\17\0\0\0\0\0\1\0\0\0\1\0\0\0\230"..., 32) = 32
writev(3, [{"b\0\5\0\t\0\200\2", 8}, {"XKEYBOARD", 9}, {"\0\0\0", 3}], 3) = 20
read(3, "\1\0\5\0\0\0\0\0\1\226o\256\0\0\0\0\1\0\0\0\1\0\0\0\230"..., 32) = 32
write(3, "\226\0\2\0\1\0\0\0", 8)       = 8
read(3, "\1\1\6\0\0\0\0\0\1\0\0\0\0\0\0\0\1\0\0\0\1\0\0\0\230\212"..., 32) = 32
open("/usr/X11R6/lib/X11/locale/locale.alias", O_RDONLY) = 4
fstat64(4, {st_mode=S_IFREG|0444, st_size=45595, ...}) = 0
mmap2(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) =
0x400f9000
read(4, "#\t$Xorg: locale.alias,v 1.3 2000"..., 4096) = 4096
read(4, "CA.ISO_8859-1\t\t\t\ten_CA.ISO8859-1"..., 4096) = 4096
read(4, "SO-8859-1\t\t\t\tfr_FR.ISO8859-1\nfr_"..., 4096) = 4096
read(4, "ELAO-1\nlo_LA\t\t\t\t\t\tlo_LA.MULELAO-"..., 4096) = 4096
read(4, "h_YU.ISO8859-2\nsh_SP\t\t\t\t\t\tsh_YU."..., 4096) = 4096
read(4, "czech\t\t\t\t\t\tcs_CZ.ISO8859-2\ndanis"..., 4096) = 4096
read(4, ", should be deleted in the futur"..., 4096) = 4096
read(4, ".ISO8859-15\nes_PY:\t\t\t\t\t\tes_PY.IS"..., 4096) = 4096
read(4, "cii8:\t\t\t\t\thy_AM.ARMSCII-8\nid:\t\t\t"..., 4096) = 4096
read(4, "n_NO:\t\t\t\t\t\tnn_NO.ISO8859-1\nny_NO"..., 4096) = 4096
read(4, "-C\nth:\t\t\t\t\t\tth_TH.TIS620\nth_TH:\t"..., 4096) = 4096
read(4, ".ISO8859-1\nspanish.iso88591:\t\t\t\t"..., 4096) = 539
read(4, "", 4096)                       = 0
close(4)                                = 0
munmap(0x400f9000, 4096)                = 0
open("/usr/X11R6/lib/X11/locale/locale.dir", O_RDONLY) = 4
fstat64(4, {st_mode=S_IFREG|0444, st_size=27925, ...}) = 0
mmap2(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) =
0x400f9000
read(4, "#\t$Xorg: locale.dir,v 1.3 2000/0"..., 4096) = 4096
read(4, "LOCALE\t\t\tfr_BE.ISO8859-15\niso885"..., 4096) = 4096
read(4, ".TCVN\nvi_VN.viscii/XLC_LOCALE\t\tv"..., 4096) = 4096
read(4, "\t\t\tlv_LV.UTF-8\nen_US.UTF-8/XLC_L"..., 4096) = 4096
close(4)                                = 0
munmap(0x400f9000, 4096)                = 0
open("/usr/X11R6/lib/X11/locale/C/XI18N_OBJS", O_RDONLY) = 4
fstat64(4, {st_mode=S_IFREG|0444, st_size=333, ...}) = 0
mmap2(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) =
0x400f9000
read(4, "# CATEGORY(XLC|XIM|OM)\tSHARED_LI"..., 4096) = 333
read(4, "", 4096)                       = 0
close(4)                                = 0
munmap(0x400f9000, 4096)                = 0
open("/usr/X11R6/lib/X11/locale/common/xlcDef.so.2", O_RDONLY) = 4
read(4, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0`\10\0\000"..., 1024) = 1024
fstat64(4, {st_mode=S_IFREG|0755, st_size=10902, ...}) = 0
old_mmap(NULL, 10648, PROT_READ|PROT_EXEC, MAP_PRIVATE, 4, 0) = 0x400f9000
mprotect(0x400fb000, 2456, PROT_NONE)   = 0
old_mmap(0x400fb000, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED, 4,
0x1000) = 0x400fb000
close(4)                                = 0
brk(0x806c000)                          = 0x806c000
open("/usr/X11R6/lib/X11/locale/locale.alias", O_RDONLY) = 4
fstat64(4, {st_mode=S_IFREG|0444, st_size=45595, ...}) = 0
mmap2(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) =
0x400fc000
read(4, "#\t$Xorg: locale.alias,v 1.3 2000"..., 4096) = 4096
read(4, "CA.ISO_8859-1\t\t\t\ten_CA.ISO8859-1"..., 4096) = 4096
read(4, "SO-8859-1\t\t\t\tfr_FR.ISO8859-1\nfr_"..., 4096) = 4096
read(4, "ELAO-1\nlo_LA\t\t\t\t\t\tlo_LA.MULELAO-"..., 4096) = 4096
read(4, "h_YU.ISO8859-2\nsh_SP\t\t\t\t\t\tsh_YU."..., 4096) = 4096
read(4, "czech\t\t\t\t\t\tcs_CZ.ISO8859-2\ndanis"..., 4096) = 4096
read(4, ", should be deleted in the futur"..., 4096) = 4096
read(4, ".ISO8859-15\nes_PY:\t\t\t\t\t\tes_PY.IS"..., 4096) = 4096
read(4, "cii8:\t\t\t\t\thy_AM.ARMSCII-8\nid:\t\t\t"..., 4096) = 4096
read(4, "n_NO:\t\t\t\t\t\tnn_NO.ISO8859-1\nny_NO"..., 4096) = 4096
read(4, "-C\nth:\t\t\t\t\t\tth_TH.TIS620\nth_TH:\t"..., 4096) = 4096
read(4, ".ISO8859-1\nspanish.iso88591:\t\t\t\t"..., 4096) = 539
read(4, "", 4096)                       = 0
close(4)                                = 0
munmap(0x400fc000, 4096)                = 0
open("/usr/X11R6/lib/X11/locale/locale.dir", O_RDONLY) = 4
fstat64(4, {st_mode=S_IFREG|0444, st_size=27925, ...}) = 0
mmap2(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) =
0x400fc000
read(4, "#\t$Xorg: locale.dir,v 1.3 2000/0"..., 4096) = 4096
read(4, "LOCALE\t\t\tfr_BE.ISO8859-15\niso885"..., 4096) = 4096
read(4, ".TCVN\nvi_VN.viscii/XLC_LOCALE\t\tv"..., 4096) = 4096
read(4, "\t\t\tlv_LV.UTF-8\nen_US.UTF-8/XLC_L"..., 4096) = 4096
close(4)                                = 0
munmap(0x400fc000, 4096)                = 0
access("/usr/X11R6/lib/X11/locale/C/XLC_LOCALE", R_OK) = 0
open("/usr/X11R6/lib/X11/locale/C/XLC_LOCALE", O_RDONLY) = 4
brk(0x806d000)                          = 0x806d000
fstat64(4, {st_mode=S_IFREG|0444, st_size=772, ...}) = 0
mmap2(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) =
0x400fc000
read(4, "#  $Xorg: C,v 1.3 2000/08/17 19:"..., 4096) = 772
brk(0x806e000)                          = 0x806e000
read(4, "", 4096)                       = 0
close(4)                                = 0
munmap(0x400fc000, 4096)                = 0
brk(0x8071000)                          = 0x8071000
open("/usr/X11R6/lib/X11/app-defaults/XOsview", O_RDONLY) = 4
fstat64(4, {st_mode=S_IFREG|0644, st_size=5677, ...}) = 0
read(4, "!\n!  xosview resources (override"..., 5677) = 5677
close(4)                                = 0
brk(0x8074000)                          = 0x8074000
open("/usr/openwin/lib/X11/app-defaults/XOsview", O_RDONLY) = -1 ENOENT (No such
file or directory)
open("/usr/local/X11R6/lib/X11/app-defaults/XOsview", O_RDONLY) = -1 ENOENT (No
such file or directory)
brk(0x8078000)                          = 0x8078000
brk(0x8079000)                          = 0x8079000
brk(0x807b000)                          = 0x807b000
write(3, "\20\1\6\0\20\0\0\0SCREEN_RESOURCES", 24) = 24
read(3, "\1\0\7\0\0\0\0\0]\0\0\0\0\0\0\0\1\0\0\0\1\0\0\0\230\212"..., 32) = 32
write(3, "\24\0\6\0\232\0\0\0]\0\0\0\37\0\0\0\0\0\0\0\0\341\365\5"..., 24) = 24
read(3, "\1\0\10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\310\5"..., 32) = 32
open("/home/Chris/.Xdefaults", O_RDONLY) = -1 ENOENT (No such file or directory)
writev(3, [{"b\0\6\0\17\0\0\0", 8}, {"XFree86-Bigfont", 15}, {"\0", 1}], 3) = 24
read(3, "\1\0\t\0\0\0\0\0\1\232\0\0\0\0\0\0\1\0\0\0\1\0\0\0\230"..., 32) = 32
write(3, "\232\0\1\0", 4)               = 4
read(3, "\1\1\n\0\0\0\0\0\1\0\1\0\0\0\0\0\0\0\0\0P\263\211\306\230"..., 32) = 32
write(3, "-\0\5\0\1\0\200\2\10\0\0\0007x13bold\232\1\3\0\1\0\200"..., 32) = 32
read(3, 0xbffff5b0, 32)                 = -1 EAGAIN (Resource temporarily
unavailable)
select(4, [3], NULL, NULL, NULL)        = 1 (in [3])
read(3, "\1\v\f\0f\1\0\0\0\0\0\0\7\0\0\0\367\377\0\0^\0\0\0\2\0"..., 32) = 32
read(3, "\2\0\0\0^\0\0\0\0\0\377\0\0\0\27\0\0\0\0\0\v\0\2\0\0\1"..., 40) = 40
read(3, "\301\0\0\0\302\0\0\0\255\0\0\0\303\0\0\0@\0\0\0\304\0\0"..., 184) = 184
read(3, "\1\0\6\0\7\0\n\0\1\0\0\0\0\0\6\0\7\0\6\0\377\377\0\0\0"..., 1208) = 1208
open("/proc/stat", O_RDONLY|O_LARGEFILE) = 4
fstat64(4, {st_mode=S_IFREG|0444, st_size=0, ...}) = 0
mmap2(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) =
0x400fc000
read(4, "cpu  485117 0 54158 1538745\ncpu0"..., 4096) = 2659
<stops here>
Comment 1 baulv 2002-06-03 00:27:35 EDT
Created attachment 59326 [details]
root strace
Comment 2 Warren Togami 2002-06-03 17:29:01 EDT
Duplicate of Bug 64798?

Try the xosview 1.8.0-3 package from Rawhide.
Comment 3 Ngo Than 2002-06-04 06:16:54 EDT
it's fixed in 1.8.0-3.
Comment 4 baulv 2002-06-04 20:26:21 EDT
[root@w1 zip]# rpm -Uvh xosview-1.8.0-3.i386.rpm
error: failed dependencies:
        libgcc_s.so.1   is needed by xosview-1.8.0-3
        libgcc_s.so.1(GCC_3.0)   is needed by xosview-1.8.0-3
        libstdc++.so.4   is needed by xosview-1.8.0-3
        libstdc++.so.4(GLIBCPP_3.1)   is needed by xosview-1.8.0-3
[root@w1 zip]#
Is gcc 3.0 available for rh 7.3 ??? and where ? (I tried google)
Comment 5 Warren Togami 2002-06-04 22:01:03 EDT
For now download the .src.rpm file from SRPMS/SRPMS of Rawhide and use "rpm
--rebuild filename.src.rpm" to create compatible binary RPM packages.  You will
find them somewhere inside /usr/src/redhat/RPMS/
Comment 6 baulv 2002-06-06 00:00:06 EDT
I did the "rpm --rebuild xosview-1.8.0-3.src.rpm" 

<snip>
Finding  Provides: (using /usr/lib/rpm/find-provides)...
Finding  Requires: (using /usr/lib/rpm/find-requires)...
PreReq: rpmlib(PayloadFilesHavePrefix) <= 4.0-1 rpmlib(CompressedFileNames) <=
3.0.4-1
Requires(rpmlib): rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rpmlib(CompressedFileNames) <= 3.0.4-  1
Requires: ld-linux.so.2 libc.so.6 libdl.so.2 libm.so.6 libstdc++-libc6.2-2.so.3
libX11.so.6 lib  Xpm.so.4 libc.so.6(GLIBC_2.0)
<snip>

ouch!! I'm dizzy !   (Rpmlib ???)

Locate'd the above:

/usr/i386-glibc21-linux/lib/ld-linux.so.2
/lib/ld-linux.so.2
/usr/i386-glibc21-linux/lib/libc.so.6
/lib/i686/libc.so.6
/usr/i386-glibc21-linux/lib/libm.so.6
/lib/i686/libm.so.6
/lib/libm.so.6
/usr/lib/libstdc++-libc6.2-2.so.3
/usr/X11R6/lib/libX11.so.6.2
/usr/X11R6/lib/libX11.so.6
/usr/X11R6/lib/libXpm.so.4
/usr/X11R6/lib/libXpm.so.4.11
/usr/i386-glibc21-linux/lib/libc.so.6
/lib/i686/libc.so.6
/lib/libc.so.6
[Chris@w1 Chris]$ rpm -q glibc
glibc-2.2.5-34

Note You need to log in before you can comment on or make changes to this bug.